Package com.independentsoft.office.charts

# Class BubbleChart

java.lang.Object
com.independentsoft.office.charts.Chart
com.independentsoft.office.charts.BubbleChart

public class BubbleChart extends Chart
The Class BubbleChart.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BubbleChart()`
  Instantiates a new bubble chart.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BubbleChart`
  `clone()`
  `DataLabels`
  `getDataLabels()`
  Gets the data labels.
  `long`
  `getFirstAxisID()`
  Gets the first axis id.
  `int`
  `getScale()`
  Gets the scale.
  `long`
  `getSecondAxisID()`
  Gets the second axis id.
  `List<BubbleChartSerie>`
  `getSeries()`
  Gets the series.
  `SizeRepresents`
  `getSizeRepresents()`
  Gets the size represents.
  `boolean`
  `hasVaryColors()`
  Checks for vary colors.
  `boolean`
  `isBubble3D()`
  Checks if is bubble3 d.
  `boolean`
  `isShowNegativeBubbles()`
  Checks if is show negative bubbles.
  `void`
  `setBubble3D​(boolean bubble3D)`
  Sets the bubble3 d.
  `void`
  `setDataLabels​(DataLabels dataLabels)`
  Sets the data labels.
  `void`
  `setFirstAxisID​(long firstAxisID)`
  Sets the first axis id.
  `void`
  `setScale​(int scale)`
  Sets the scale.
  `void`
  `setSecondAxisID​(long secondAxisID)`
  Sets the second axis id.
  `void`
  `setShowNegativeBubbles​(boolean showNegativeBubbles)`
  Sets the show negative bubbles.
  `void`
  `setSizeRepresents​(SizeRepresents sizeRepresents)`
  Sets the size represents.
  `void`
  `setVaryColors​(boolean varyColors)`
  Sets the vary colors.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BubbleChart

    public BubbleChart()
    Instantiates a new bubble chart.

- ## Method Details

  - ### clone

    public BubbleChart clone()
    Specified by:
      `clone` in class `Chart`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getFirstAxisID

    public long getFirstAxisID()
    Gets the first axis id.
    Returns:
      the first axis id

  - ### setFirstAxisID

    public void setFirstAxisID​(long firstAxisID)
    Sets the first axis id.
    Parameters:
      `firstAxisID` - the new first axis id

  - ### getSecondAxisID

    public long getSecondAxisID()
    Gets the second axis id.
    Returns:
      the second axis id

  - ### setSecondAxisID

    public void setSecondAxisID​(long secondAxisID)
    Sets the second axis id.
    Parameters:
      `secondAxisID` - the new second axis id

  - ### isBubble3D

    public boolean isBubble3D()
    Checks if is bubble3 d.
    Returns:
      true, if is bubble3 d

  - ### setBubble3D

    public void setBubble3D​(boolean bubble3D)
    Sets the bubble3 d.
    Parameters:
      `bubble3D` - the new bubble3 d

  - ### getScale

    public int getScale()
    Gets the scale.
    Returns:
      the scale

  - ### setScale

    public void setScale​(int scale)
    Sets the scale.
    Parameters:
      `scale` - the new scale

  - ### getDataLabels

    public DataLabels getDataLabels()
    Gets the data labels.
    Returns:
      the data labels

  - ### setDataLabels

    public void setDataLabels​(DataLabels dataLabels)
    Sets the data labels.
    Parameters:
      `dataLabels` - the new data labels

  - ### getSeries

    public List<BubbleChartSerie> getSeries()
    Gets the series.
    Returns:
      the series

  - ### isShowNegativeBubbles

    public boolean isShowNegativeBubbles()
    Checks if is show negative bubbles.
    Returns:
      true, if is show negative bubbles

  - ### setShowNegativeBubbles

    public void setShowNegativeBubbles​(boolean showNegativeBubbles)
    Sets the show negative bubbles.
    Parameters:
      `showNegativeBubbles` - the new show negative bubbles

  - ### getSizeRepresents

    public SizeRepresents getSizeRepresents()
    Gets the size represents.
    Returns:
      the size represents

  - ### setSizeRepresents

    public void setSizeRepresents​(SizeRepresents sizeRepresents)
    Sets the size represents.
    Parameters:
      `sizeRepresents` - the new size represents

  - ### hasVaryColors

    public boolean hasVaryColors()
    Checks for vary colors.
    Returns:
      true, if successful

  - ### setVaryColors

    public void setVaryColors​(boolean varyColors)
    Sets the vary colors.
    Parameters:
      `varyColors` - the new vary colors